function   FDMa_graph(parameters, savefilename)
% function FDMa_graph(parameters, savefilename)
%
% FREQUENCY-DOMAIN MULTIVARIATE ANALYSIS (c) 2008 
% http://www.fdm.uni-freiburg.de
%

vars= genvarname(fieldnames(parameters));
for i= 1:length(vars)
   eval([vars{i} '= parameters.(vars{i});'])
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Load the results 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
load(savefilename)
vars= genvarname(fieldnames(results));
for i= 1:length(vars)
   eval([vars{i} '= results.(vars{i});'])
end

if(strcmp(graphstyle, 'neato'))
   if(isempty(parameters.node_positions))
      %% Circular layout
      nn= (0:D-1)'+.5;
      ElekPos= 5*(.5-[-cos(2*pi/D*nn) -sin(2*pi/D*nn)]/2.2);
      d= 1;
      for d= 1:D
         parameters.node_positions{d}= sprintf('%f,%f!', ElekPos(d, 1), ElekPos(d, 2));
      end
   end
else% Compute optimal graph layout by graphviz software
   parameters.node_positions= {};
end

FDMa_grapho(COH.*(COH>COHsig), 'COH', savefilename, parameters);
FDMa_grapho(PDC.*(PDC>PDCsig), 'PDC', savefilename, parameters);



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function FDMa_grapho(MEAS, measure, savefilename, parameters);

vars= genvarname(fieldnames(parameters));
for i= 1:length(vars)
   eval([vars{i} '= parameters.(vars{i});'])
end
FREQS= length(f0);
b= 1;
for b= 1:FREQS
   fnull= freq2bin(f0(b), parameters);
   Ab= MEAS(:, :, fnull);
   Ab= (Ab-diag(diag(Ab)))>0;
   
   edge_labels= {};
   warning off all
   if( strcmp(measure, 'DTF') || strcmp(measure, 'PDC') )
      filenameAb= sprintf('%s-%s-graph-%04d', savefilename, measure, floor(f0(b)));
      FDMa_make_digraph(Ab', graphstyle, filenameAb, filetype, edge_weight_factor, edge_labels, node_labels, node_colors, node_positions, node_slot);
   else
      filenameAb= sprintf('%s-%s-graph-%04d', savefilename, 'COH', floor(f0(b)));
      FDMa_make_graph(tril(Ab'), graphstyle, filenameAb, filetype, edge_weight_factor, edge_labels, node_labels, node_colors, node_positions, node_slot);
      filenameAb= sprintf('%s-%s-graph-%04d', savefilename, 'PC', floor(f0(b)));
      FDMa_make_graph(triu(Ab'), graphstyle, filenameAb, filetype, edge_weight_factor, edge_labels, node_labels, node_colors, node_positions, node_slot);
   end
   warning on all
end
